/ lang / stat
Stat
Syntax

    File info = Stat ( Path [ , FollowLink ] )

Returns information about a file or a directory as a Stat object:

- File type, i.e. if it is a regular file, a directory, a named pipe...
- File size.
- Last modification time.
- Permissions.
- ...

If FollowLink is `TRUE`, then symbolic links are followed, i.e. the information about the target file is returned, not the information about the link itself.

### Examples

    WITH Stat("/home")
      PRINT .Type = gb.Directory
      PRINT Round(.Size / 1024); "K"
    END WITH
    <hr>True
    4K

### See also

File & Directory Functions Stat